Installation Requirements

3.6.1
  • Nvidia Driver Requirements

    • nvidia-driver that supports cuda-10.1 or higher

    • nvidia-driver that supports cuda-11.0 or higher if you want to run on ampere GPU

  • nvidia-docker2 or singularity version 3.0 or higher (Parabricks will work on singularity 3.0 and above. It has been tested extensively on Singularity v3.7)

  • Python 3

  • curl (Most Linux systems will already have this installed)

  • Access to internet

  • Any GPU that supports CUDA architecture 60, 61, 70, 75 and has 12GB GPU RAM or more. It has been tested on NVIDIA V100, NVIDIA A100, and NVIDIA T4 GPUs.

  • System Requirements

    • 2 GPU server should have 100GB CPU RAM, at least 24 CPU threads

    • 4 GPU server should have 196GB CPU RAM, at least 32 CPU threads

    • 8 GPU server should have 392GB CPU RAM, at least 48 CPU threads

© Copyright 2021, NVIDIA. Last updated on Oct 7, 2021.